Group: Office
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           impressive
Version:        0.12.0
Release:        alt1_7
Summary:        A program that displays presentation slides

License:        GPLv2
URL:            http://impressive.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/Impressive-%{version}.tar.gz
# Wrapper script for making sure hardware acceleration is available
Source1:        %{name}.sh
 
BuildArch:      noarch
BuildRequires:  python-devel
# The following requires are not picked up by rpm:
# - imported modules (required):
Requires:       python-module-Pillow
# pygame is the python2 package but does not provide python2-pygame yet
Requires:       python-module-pygame
Requires:       opengl-games-utils
# - external tools for displaying and parsing pdf (required):
Requires:       mupdf
# - external tool for acting on links (strongly recommended):
Requires:       xdg-utils
# - font for on screen display (recommended):
Requires:       fonts-ttf-dejavu
Source44: import.info


%description
Impressive is a program that displays presentation slides. But unlike 
OpenOffice.org Impress or other similar applications, it does so with 
style. 

Smooth alpha-blended slide transitions are provided for the sake 
of eye candy, but in addition to this, Impressive offers some unique tools 
that are really useful for presentations.


%prep
%setup -q -n Impressive-%{version}
sed -ie '1s#/usr/bin/env python2#/usr/bin/python2#' impressive.py

%build
sed -e "s|@PYTHON_SITELIB@|%{python_sitelibdir_noarch}|" %{SOURCE1} > impressive.sh
# This package doesn't build anything, just copy files under build root.


%install
install -D -p -m 755 impressive.py %{buildroot}%{python_sitelibdir_noarch}/impressive.py
install -D -p -m 644 impressive.1 %{buildroot}%{_mandir}/man1/impressive.1
install -D -p -m 755 impressive.sh %{buildroot}%{_bindir}/impressive



%files
%doc changelog.txt demo.pdf impressive.html license.txt
%{_bindir}/impressive
%{python_sitelibdir_noarch}/impressive.py*
%{_mandir}/man1/impressive.1*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt1_7
- update to new release by fcimport

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt1_6
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt1_5
- update to new release by fcimport

* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt1_3
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt1_2
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 0.11.2-alt1_2
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.11.1-alt2_6
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.11.1-alt2_5
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.11.1-alt2_4
- update to new release by fcimport

* Wed Jun 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.11.1-alt2_3
- rebuild

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.11.1-alt1_3
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.10.4-alt1_5
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.10.4-alt1_4
- update to new release by fcimport

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.10.4-alt1_3
- update to new release by fcimport

* Sat Jan 04 2014 Igor Vlasenko <viy@altlinux.ru> 0.10.4-alt1_2
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.3-alt1_12
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.3-alt1_11
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.3-alt1_10
- initial fc import

